package com.zulutrade.sample.trading.client.trading.dtos;

import org.codehaus.jackson.annotate.JsonAutoDetect;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;

@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class ProviderStatisticsResponseMessage {

	private Boolean success;
	private String countryName;
	private Integer zuluRank;
	private Double necessaryMinEquity;
	private Double amountFollowing;
	private Integer profit;
	private Long weeks;
	private Long followers;
	private Integer trades;
	private Integer totalWinTrades;
	private Double totalWinTradesPercent;
	private Double avgPipsPerTrade;
	private Integer avgTradeTimeInSecs;
	private Double maxDrawDownPercent;
	private Integer maxDrawDown;
	private Integer maxOpenTrades;
	private Integer worstTradePips;
	private Integer bestTradePips;
	private String hasLiveFollowers;
	private Long statsLastUpdateDateUtcTimeStamp;
	private String statsLastUpdateDate;
	private Integer errorCode;
	private String errorMessage;
	
	ProviderStatisticsResponseMessage(){}

	public Boolean getSuccess() {
		return success;
	}

	public void setSuccess(Boolean success) {
		this.success = success;
	}

	public String getCountryName() {
		return countryName;
	}

	public void setCountryName(String countryName) {
		this.countryName = countryName;
	}

	public Integer getZuluRank() {
		return zuluRank;
	}

	public void setZuluRank(Integer zuluRank) {
		this.zuluRank = zuluRank;
	}

	public Double getNecessaryMinEquity() {
		return necessaryMinEquity;
	}

	public void setNecessaryMinEquity(Double necessaryMinEquity) {
		this.necessaryMinEquity = necessaryMinEquity;
	}

	public Double getAmountFollowing() {
		return amountFollowing;
	}

	public void setAmountFollowing(Double amountFollowing) {
		this.amountFollowing = amountFollowing;
	}

	public Integer getProfit() {
		return profit;
	}

	public void setProfit(Integer profit) {
		this.profit = profit;
	}

	public Long getWeeks() {
		return weeks;
	}

	public void setWeeks(Long weeks) {
		this.weeks = weeks;
	}

	public Long getFollowers() {
		return followers;
	}

	public void setFollowers(Long followers) {
		this.followers = followers;
	}

	public Integer getTrades() {
		return trades;
	}

	public void setTrades(Integer trades) {
		this.trades = trades;
	}

	public Integer getTotalWinTrades() {
		return totalWinTrades;
	}

	public void setTotalWinTrades(Integer totalWinTrades) {
		this.totalWinTrades = totalWinTrades;
	}

	public Double getTotalWinTradesPercent() {
		return totalWinTradesPercent;
	}

	public void setTotalWinTradesPercent(Double totalWinTradesPercent) {
		this.totalWinTradesPercent = totalWinTradesPercent;
	}

	public Double getAvgPipsPerTrade() {
		return avgPipsPerTrade;
	}

	public void setAvgPipsPerTrade(Double avgPipsPerTrade) {
		this.avgPipsPerTrade = avgPipsPerTrade;
	}

	public Integer getAvgTradeTimeInSecs() {
		return avgTradeTimeInSecs;
	}

	public void setAvgTradeTimeInSecs(Integer avgTradeTimeInSecs) {
		this.avgTradeTimeInSecs = avgTradeTimeInSecs;
	}

	public Double getMaxDrawDownPercent() {
		return maxDrawDownPercent;
	}

	public void setMaxDrawDownPercent(Double maxDrawDownPercent) {
		this.maxDrawDownPercent = maxDrawDownPercent;
	}

	public Integer getMaxDrawDown() {
		return maxDrawDown;
	}

	public void setMaxDrawDown(Integer maxDrawDown) {
		this.maxDrawDown = maxDrawDown;
	}

	public Integer getMaxOpenTrades() {
		return maxOpenTrades;
	}

	public void setMaxOpenTrades(Integer maxOpenTrades) {
		this.maxOpenTrades = maxOpenTrades;
	}

	public Integer getWorstTradePips() {
		return worstTradePips;
	}

	public void setWorstTradePips(Integer worstTradePips) {
		this.worstTradePips = worstTradePips;
	}

	public Integer getBestTradePips() {
		return bestTradePips;
	}

	public void setBestTradePips(Integer bestTradePips) {
		this.bestTradePips = bestTradePips;
	}

	public String getHasLiveFollowers() {
		return hasLiveFollowers;
	}

	public void setHasLiveFollowers(String hasLiveFollowers) {
		this.hasLiveFollowers = hasLiveFollowers;
	}

	public Long getStatsLastUpdateDateUtcTimeStamp() {
		return statsLastUpdateDateUtcTimeStamp;
	}

	public void setStatsLastUpdateDateUtcTimeStamp(
			Long statsLastUpdateDateUtcTimeStamp) {
		this.statsLastUpdateDateUtcTimeStamp = statsLastUpdateDateUtcTimeStamp;
	}

	public String getStatsLastUpdateDate() {
		return statsLastUpdateDate;
	}

	public void setStatsLastUpdateDate(String statsLastUpdateDate) {
		this.statsLastUpdateDate = statsLastUpdateDate;
	}

	public Integer getErrorCode() {
		return errorCode;
	}

	public void setErrorCode(Integer errorCode) {
		this.errorCode = errorCode;
	}

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}
}
