package com.zulutrade.sample.trading.client.trading.dtos;

import org.codehaus.jackson.annotate.JsonAutoDetect;
import org.codehaus.jackson.annotate.JsonIgnoreProperties;

@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown = true)
public class TradeClosedResponseMessage {

	private boolean success;
	private String uniqueId;
	private String brokerTicket;
	private String currencyName;
	private boolean buy;
	private double lots;
	private String dateOpen;
	private Long openUtcTimestamp;
	private String dateClosed;
	private Long closeUtcTimestamp;
	private double priceOpen;
	private double priceClosed;
	private double grossPnl;
	private double commission;
	private double interest;
	private double netPnl;
	private int errorCode;
	private String errorMessage;

	public boolean isSuccess(){
		return this.success;
	}
	
	public void setSuccess(boolean success){
		this.success = success;
	}
	
	public double getPriceOpen() {
		return this.priceOpen;
	}

	public void setPriceOpen(double priceOpen) {
		this.priceOpen = priceOpen;
	}

	public double getPriceClosed() {
		return this.priceClosed;
	}

	public void setPriceClosed(double priceClosed) {
		this.priceClosed = priceClosed;
	}

	public String getUniqueId() {
		return this.uniqueId;
	}
	public void setUniqueId(String uniqueId) {
		this.uniqueId = uniqueId;
	}
	public String getBrokerTicket() {
		return this.brokerTicket;
	}
	public void setBrokerTicket(String brokerTicket) {
		this.brokerTicket = brokerTicket;
	}
	public String getCurrencyName() {
		return this.currencyName;
	}
	public void setCurrencyName(String currencyName) {
		this.currencyName = currencyName;
	}
	public boolean isBuy() {
		return this.buy;
	}
	public void setBuy(boolean buy) {
		this.buy = buy;
	}
	public double getLots() {
		return this.lots;
	}
	public void setLots(double lots) {
		this.lots = lots;
	}
	public String getDateOpen() {
		return this.dateOpen;
	}
	public void setDateOpen(String dateOpen) {
		this.dateOpen = dateOpen;
	}
	public Long getOpenUtcTimestamp() {
		return openUtcTimestamp;
	}

	public void setOpenUtcTimestamp(Long openUtcTimestamp) {
		this.openUtcTimestamp = openUtcTimestamp;
	}

	public String getDateClosed() {
		return this.dateClosed;
	}
	public void setDateClosed(String dateClosed) {
		this.dateClosed = dateClosed;
	}
	public Long getCloseUtcTimestamp() {
		return closeUtcTimestamp;
	}

	public void setCloseUtcTimestamp(Long closeUtcTimestamp) {
		this.closeUtcTimestamp = closeUtcTimestamp;
	}

	public double getGrossPnl() {
		return this.grossPnl;
	}
	public void setGrossPnl(double grossPnl) {
		this.grossPnl = grossPnl;
	}
	public double getCommission() {
		return this.commission;
	}
	public void setCommission(double commission) {
		this.commission = commission;
	}
	public double getInterest() {
		return this.interest;
	}
	public void setInterest(double interest) {
		this.interest = interest;
	}
	public double getNetPnl() {
		return this.netPnl;
	}
	public void setNetPnl(double netPnl) {
		this.netPnl = netPnl;
	}
	
	public int getErrorCode(){
		return this.errorCode;
	}
	
	public void setErrorCode(int errorCode){
		this.errorCode = errorCode;
	}
	
	public String getErrorMessage(){
		return this.errorMessage;
	}
	public void setErrorMessage(String errorMessage){
		this.errorMessage = errorMessage;
	}
}
